Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports Nuvolar.Module
'-- A rendszer nullázásához használt objektum
<DefaultClassOptions()> _
<NavigationItem("FinancialTransactions")> _
Public Class GLResetAll
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
End Class
<DefaultClassOptions()> _
<NavigationItem("SQL Imports")> _
Public Class ResetObjects
    Inherits BaseObject
    Private _ObjectType As Type
    Private _CustomersFrom As CustomersFrom
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Property ObjectType As Type
        Get
            Return _ObjectType
        End Get
        Set(ByVal value As Type)
            SetPropertyValue("ObjectType", _ObjectType, value)
        End Set
    End Property

    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)

        End Set

    End Property
End Class

